package solutions.bitbadger.documents.java.integration.common;

import solutions.bitbadger.documents.integration.ThrowawayDatabase;
import solutions.bitbadger.documents.java.testDocs.JsonDocument;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static solutions.bitbadger.documents.integration.TypesKt.TEST_TABLE;

final public class Count {

    public static void all(ThrowawayDatabase db) {
        JsonDocument.load(db);
        assertEquals(5L, solutions.bitbadger.documents.Count.all(TEST_TABLE, db.getConn()),
                "There should have been 5 documents in the table");
    }


    private Count() {
    }
}
